Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content.expression
Class Search

    java.lang.Object
      |
      +--com.bea.p13n.content.expression.Search

public class Search
extends java.lang.Object
implements java.lang.Cloneable, java.io.Serializable

This represents parameters for searching for objects, specifically Content objects.

Attribute: maxReturn

- Containment: By Value
- Multiplicity: 1:1
- This specifies the maximum number of objects to return. It should 0 or less to specifying returning all objects that match, no matter how large.

Attribute: sort

- Containment: By Value
- Multiplicity: 1:1
- This specifies the SQL ORDER BY-style clause the controlling the sorting on the return list. It is a comma-separated list of property names, each optionally appended with either "ASC" (ascending sort) or "DESC" (descending sort). For example, "creationDate ASC, mimeType DESC, identifier" would specify to sort ascending on on creationDate, to next sort descending on mimeType, and to finally sort ascending on identifier.

Attribute: expression

- Containment: By Value
- Multiplicity: 1:1
- This specifies the Expression the objects must match against.

Attribute: userId

- Containment: By Value
- Multiplicity: 1:1
- This can contain the user id of the user the search originated from.

Attribute: contextParams

- Containment: By Value
- Multiplicity: 1:1
- This can other arbitrary parameters to pass through to the document manager. Only Serializable objects should go into this. These are not used to determine equality.

See Also:
  Serialized Form

Field Summary
`protected java.util.Map` | `contextParams` The context params.
`protected Expression` | `expression` The search expression.
`protected long` | `maxReturn` The maximum number of objects to return.
`protected java.lang.String` | `sort` The sorting criteria
`protected java.lang.String` | `userId` The user id.

Constructor Summary
`Search()` Empty constructor.
`Search(long maxReturn, java.lang.String sort, Expression expression)` Constructor.
`Search(java.lang.String userId, long maxReturn, java.lang.String sort, Expression expr)` Constructor.

Method Summary
`java.lang.Object` | `clone()` Make a shallow copy of this object.
`boolean` | `equals(java.lang.Object o)` Determine if another object is equals to this.
`java.lang.Object` | `getContextParam(java.lang.Object key)` Get the value of a context param.
`java.util.Map` | `getContextParams()` Get an unmodifiable copy of the context params.
`Expression` | `getExpression()` Get the search expression.
`long` | `getMaxReturn()` Get the maximum number of objects to return.
`java.lang.String` | `getSort()` Get the sort criteria.
`java.lang.String` | `getUserId()` Get the user id.
`int` | `hashCode()` Override hashcode to use our parts.
`java.lang.Object` | `setContextParam(java.lang.Object key, java.lang.Object value)` Set the value of a context param.
`void` | `setContextParams(java.util.Map input)` Set the context params based upon the objects in the input map.
`void` | `setExpression(Expression expression)` Set the search expression.
`void` | `setMaxReturn(long maxReturn)` Set the maximum number of objects to return.
`void` | `setSort(java.lang.String sort)` Set the sort criteria.
`void` | `setUserId(java.lang.String userId)` Set the user id.
`java.lang.String` | `toString()` Get a String representation of this.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### maxReturn

    protected long maxReturn

  The maximum number of objects to return.

### sort

    protected java.lang.String sort

  The sorting criteria

### expression

    protected Expression expression

  The search expression.

### userId

    protected java.lang.String userId

  The user id.

### contextParams

    protected java.util.Map contextParams

  The context params.

Constructor Detail

### Search

    public Search(java.lang.String userId,
                  long maxReturn,
                  java.lang.String sort,
                  Expression expr)

  Constructor.

### Search

    public Search(long maxReturn,
                  java.lang.String sort,
                  Expression expression)

  Constructor.

### Search

    public Search()

  Empty constructor.

Method Detail

### getMaxReturn

    public long getMaxReturn()

  Get the maximum number of objects to return.

### setMaxReturn

    public void setMaxReturn(long maxReturn)

  Set the maximum number of objects to return.

### getSort

    public java.lang.String getSort()

  Get the sort criteria.

### setSort

    public void setSort(java.lang.String sort)

  Set the sort criteria.

### getExpression

    public Expression getExpression()

  Get the search expression.

### setExpression

    public void setExpression(Expression expression)

  Set the search expression.

### getUserId

    public java.lang.String getUserId()

  Get the user id.

### setUserId

    public void setUserId(java.lang.String userId)

  Set the user id.

### getContextParams

    public java.util.Map getContextParams()

  Get an unmodifiable copy of the context params.

### setContextParams

    public void setContextParams(java.util.Map input)

  Set the context params based upon the objects in the input map.

### getContextParam

    public java.lang.Object getContextParam(java.lang.Object key)

  Get the value of a context param.

### setContextParam

    public java.lang.Object setContextParam(java.lang.Object key,
                                            java.lang.Object value)

  Set the value of a context param.

  The key and value must be Serializable.

  Parameters:
    `key` - the context param key.
    `value` - the context param value.
  Returns:
    the old context param value or null if none.

### clone

    public java.lang.Object clone()

  Make a shallow copy of this object.

  Overrides:
    clone in class java.lang.Object

### hashCode

    public int hashCode()

  Override hashcode to use our parts.

  Overrides:
    hashCode in class java.lang.Object

### equals

    public boolean equals(java.lang.Object o)

  Determine if another object is equals to this.

  Overrides:
    equals in class java.lang.Object

### toString

    public java.lang.String toString()

  Get a String representation of this.

  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved